> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Nfts

> Retrieves a list of NFTs owned by the specified Wallet.



## OpenAPI

````yaml /openapi.yaml get /wallets/{walletId}/nfts
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /wallets/{walletId}/nfts:
    get:
      tags:
        - Wallets
      summary: Get Wallet Nfts
      description: Retrieves a list of NFTs owned by the specified Wallet.
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: walletId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  walletId:
                    type: string
                  network:
                    $ref: '#/components/schemas/Network'
                  nfts:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Asa
                            assetId:
                              type: string
                              description: The NFT id.
                            symbol:
                              type: string
                              description: The NFT symbol.
                            tokenUri:
                              type: string
                              description: The NFT metadata URI.
                          required:
                            - kind
                            - assetId
                          title: Algorand NFT
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc721
                                - Snip3
                                - Trc721
                            contract:
                              type: string
                              description: contract address.
                            tokenId:
                              type: string
                              description: The NFT id.
                            symbol:
                              type: string
                              description: The NFT symbol.
                            tokenUri:
                              type: string
                              description: The NFT metadata URI.
                          required:
                            - kind
                            - contract
                            - tokenId
                          title: ERC/TRC-721 NFT
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Hip17
                            tokenId:
                              type: string
                              description: The NFT id.
                            serialNumber:
                              type: string
                              description: The NFT serial number.
                            symbol:
                              type: string
                              description: The NFT symbol.
                            tokenUri:
                              type: string
                              description: The NFT metadata URI.
                          required:
                            - kind
                            - tokenId
                            - serialNumber
                          title: Hedera NFT
                required:
                  - walletId
                  - network
                  - nfts
      security:
        - authenticationToken: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet3
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHolesky
        - EthereumHoodi
        - FantomOpera
        - FantomTestnet
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kaspa
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````